Help - Search - Members - Calendar
Full Version: 3com 3c2000 Lan Under Mandrake 9.2 Help
Linuxhelp > Support > Technical Support
blademaster
hi
i'm new to linux, and i've been trying to install my 3c2000 lan card under mandrake 9.2, but with no luck
i get these instructions from 3Com drivers:
Loading the driver
------------------

1) Make sure that the kernel source is installed in /usr/src/linux
or /usr/src/linux-2.4.

2) Copy the file /Linux/3c2000.tar.gz from the 3Com driver CD to
your hard drive.

3) Change to the directory containing 3c2000.tar.gz

4) Type 'tar zxvf 3c2000.tar.gz'

5) Type 'cd 3c2000'

Note: on SuSE systems since 7.1, you will have to execute the
following commands before running make:

cp /boot/vmlinuz.version.h /usr/src/linux/include/linux/version.h
cp /boot/vmlinuz.autoconf.h /usr/src/linux/include/linux/autoconf.h

For more details se http://sdb.suse.de/en/sdb/html/mwalter_kernel_24.html

6) Type 'make load' to load the driver.

everything works fine till step 6... where it gives me an error
i think my linux kernel isn't where it's supposed to be in /usr/src/linux
or /usr/src/linux-2.4., and since i'm new to this and don't know where the kernel is so i can copy it to where it should be...
can anyone help me with this? i think i can get it to work if i can get the kernel copied to the right place:P

thank you very much for any help
hughesjr
You need to see if you have the package kernel-source installed ... and if it is installed, that it is the correct version for your kernel version.

do the command:

rpm -qa | grep kernel

My mandrake 9.2 install returns this:

kernel-2.4.22.21mdk-1-1mdk
kernel-source-2.4.22-21mdk


If you do not have kernel-source, you need to install that package...make sure to install the version that matches your kernel version (in my case I would need to install version kernel-source-2.4.22-21mdk because my kernel is 2.4.22.21mdk...

After install of kernel-source (if necessary) then open a terminal window (as the root user) and do this:

cd /usr/src
ls -al


Mine looks like this (i'm only showing 2 of the directories)...there is a linux that links to linux-2.4.22-21mdk/:

lrwxrwxrwx 1 root root 18 Nov 9 09:55 linux -> linux-2.4.22-21mdk/
drwxr-xr-x 19 root root 4096 Nov 9 09:55 linux-2.4.22-21mdk/

If i had linux-2.4.22-21mdk but not the link named linux, i would issue this command:

ln -s linux-2.4.22-21mdk linux
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2017 Invision Power Services, Inc.